%global _empty_manifest_terminate_build 0
Name:		python-json-logger
Version:	2.0.7
Release:	1
Summary:	A python library adding a json log formatter
License:	BSD
URL:		http://github.com/madzak/python-json-logger
Source0:        http://github.com/madzak/python-json-logger/archive/v%{version}/python-json-logger-%{version}.tar.gz
BuildArch:	noarch

%description
This library is provided to allow standard python logging to output log data
as json objects. With JSON we can make our logs more readable by machines and
we can stop writing custom parsers for syslog type records.

%package -n python3-json-logger
Summary:	A python library adding a json log formatter
Provides:	python-json-logger = %{version}-%{release}
# Base build requires
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-pbr
BuildRequires:	python3-pip
BuildRequires:	python3-wheel
%description -n python3-json-logger
This library is provided to allow standard python logging to output log data
as json objects. With JSON we can make our logs more readable by machines and
we can stop writing custom parsers for syslog type records.

%package help
Summary:	Development documents and examples for python-json-logger
Provides:	python3-json-logger-doc
%description help
This library is provided to allow standard python logging to output log data
as json objects. With JSON we can make our logs more readable by machines and
we can stop writing custom parsers for syslog type records.

%prep
%autosetup -n python-json-logger-%{version} -p1

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.rst ]; then cp -af README.rst %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.md ]; then cp -af README.md %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.txt ]; then cp -af README.txt %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
PYTHONPATH=%{buildroot}/%{python3_sitelib} %{__python3} -m unittest discover

%files -n python3-json-logger -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue Apr 11 2023 yaoxin <yao_xin001@hoperun.com> - 2.0.7-1
- Update to 2.0.7

* Mon Dec 05 2022 wangjunqi <wangjunqi@kylinos.cn> - 2.0.4-1
- Update package to version 2.0.4

* Tue May 24 2022 renliang <renliang@uniontech.com> - 2.0.2-1
- Upgrade package python3-json-logger to version 2.0.2

* Tue May 10 2022 xigaoxinyan <xigaoxinyan@h-partners.com> - 2.0.1-3
- License compliance rectification

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 2.0.1-2
- DESC: delete -S git from %autosetup

* Tue Jul 13 2021 OpenStack_SIG <openstack@openeuler.org> - 2.0.1-1
- Package Spec generate
